Subject: bug#78758: shepherd: herd graph issue

From: [email-masked]
Date: Sat, 14 Jun 2025 19:23:57 +0000

Hello,

My remark was in the context of booting, where a service depends always
on some #:requirement (file systems mounted, udev present etc...),
and transitiveley to an ultimate ancestor (which #:requirement
I force to be root, may be this isn't necessary)

If you run shepherd for user services, it makes sense to have
#:requirement empty.

It would perhaps make everyone happy to add the root service in the
graph only if #:requirement is empty.

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> burban--- via Bug reports for GNU Guix <[email-masked]> writes:
>
>> I noticed that "herd graph" always creates a link to root, which IMO
>> clobbers the picture (I can send pictures if that is allowed on this
>> list or their source)
>
> Yeah I wondered about that at the time but found that not having a clear
> source node on the graph looked weird (and inaccurate).
>
> So hmm, I don’t know!
>
> Ludo’.

Sincerely.

--

Bernard